These docs are for v1. Click to read the latest docs for v3.

Pair Vehicle

Use this API to pair with a vehicle. There are two ways in which you can pair with a vehicle - manual pairing and bluetooth pairing. For manual pairing, the vehicle ID has to be passed as a parameter while calling the API. And for bluetooth pairing, the device serial number has to be passed as a parameter while calling the API. isUnPair value should be set to 0 while calling this API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

Using Vehicle ID :
https://api.azuga.com/azuga-ws/v1/fleet/pairvehicle.json?vehicleId=4375899f-4130-11e5-b155-a1e00593e7be

Using Device Serial Number :
https://api.azuga.com/azuga-ws/v1/fleet/pairvehicle.json?deviceSerialNum=5022477210

API Response explanation

FieldDescription
codeAPI Status Code
messageAPI Message
reasonReason for failure
generatedAtInMillisAPI generation timestamp in milliseconds
vehicleIdUnique identifier representing the vehicle
makeMake of the vehicle
modelModel of the vehicle
yearYear in which the vehicle was manufactured
serialNumberSerial Number of the device
vinVehicle Identification Number
vehicleNameName of the vehicle
vehicleTypeType of the vehicle
licensePlateNumLicense plate number of the vehicle
🚧

Disclaimer

This API provides information only for a driver and does not provide aggregated information for a group of vehicles. Admins should not use these APIs, but should look at other sections of the documentation.

Body Params
string

Unique identifier representing the vehicle (Required in the API call in case of Manual pairing)

string

Serial number of the device (Required in the API call in case of Bluetooth pairing)

boolean
required
Defaults to false

Boolean to indicate if the vehicle is paired or unpaired

string
required

Time at which the vehicle was paired or unpaired

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json